#!/usr/bin/awk -f
#
# altcflow - alter cflow output to `find' format for treetopgm.
# public domain by RJM 960823.
#
# this hasn't been extensively tested, but it works for me.


BEGIN {
# tab
FS="\t"
}


# before main processing, convert `/'s to underscores
{ gsub(/\//, "_") }


# now, for each line...
{
# replace zero-length fields with previous non-zero values.
# but ignore $1, as that's the line number.
for(f=2;f<=NF;f++)
  {
  if(length($f)==0)
    printf old[f]
  else
    printf $f
  
  if(f!=NF) printf "/"
  }

printf "\n"

# set 'old' values to use next time
for(f=2;f<=NF;f++)
  {
  if(length($f)!=0)
    old[f]=$f
  }
}
